OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
FMusicDriver_OS2 Class Reference

Factory for OS/2's music player. More...

`#include <os2_m.h>`

Inheritance diagram for FMusicDriver_OS2:

## Public Member Functions
Driver * | CreateInstance () const
| Create an instance of this driver-class.
Public Member Functions inherited from DriverFactoryBase
const char * | GetDescription () const
| Get a nice description of the driver-class.

## Additional Inherited Members
Static Public Member Functions inherited from DriverFactoryBase
static void | ShutdownDrivers ()
| Shuts down all active drivers.
static void | SelectDriver (const char *name, Driver::Type type)
| Find the requested driver and return its class.
static char * | GetDriversInfo (char *p, const char *last)
| Build a human readable list of available drivers, grouped by type.
Protected Member Functions inherited from DriverFactoryBase
| DriverFactoryBase (Driver::Type type, int priority, const char *name, const char *description)
| Construct a new DriverFactory.
virtual | ~DriverFactoryBase ()
| Frees memory used for this->name.

## Detailed Description

Factory for OS/2's music player.

Definition at line 35 of file os2_m.h.

## Member Function Documentation

Driver* FMusicDriver_OS2::CreateInstance | ( |  | ) | const
| inline virtual

Create an instance of this driver-class.

Returns
  The instance.

Implements DriverFactoryBase.

Definition at line 38 of file os2_m.h.

The documentation for this class was generated from the following file:

- src/music/os2_m.h